Bug 1173375 - Review Request: sqlitebrowser - Create, design, and edit SQLite database files
Summary: Review Request: sqlitebrowser - Create, design, and edit SQLite database files
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Juan Orti Alcaine
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1119644 (view as bug list)
Depends On: 1128393 1128394
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-12-12 01:28 UTC by Sandro Mani
Modified: 2015-04-16 19:25 UTC (History)
4 users (show)

Fixed In Version: sqlitebrowser-3.4.0-2.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-06 06:11:43 UTC
Type: ---
j.orti.alcaine: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Sandro Mani 2014-12-12 01:28:41 UTC
Spec URL: https://smani.fedorapeople.org/review/sqlitebrowser.spec
SRPM URL: https://smani.fedorapeople.org/review/sqlitebrowser-3.4.0-1.fc22.src.rpm
Description: Create, design, and edit SQLite database files
Fedora Account System Username: smani

Comment 1 Sandro Mani 2014-12-12 01:29:24 UTC
*** Bug 1119644 has been marked as a duplicate of this bug. ***

Comment 2 Juan Orti Alcaine 2014-12-23 14:51:35 UTC
I'll do this review. Could you do https://bugzilla.redhat.com/show_bug.cgi?id=1170069 for me? Thanks.

Comment 3 Juan Orti Alcaine 2014-12-23 21:33:14 UTC
This package is APPROVED.

Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=8467319

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 54 files have unknown license.
[x]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: update-desktop-database is invoked in %post and %postun if package
     contains desktop file(s) with a MimeType: entry.
     Note: desktop file(s) with MimeType entry in sqlitebrowser
[x]: gtk-update-icon-cache is invoked in %postun and %posttrans if package
     contains icons.
     Note: icons in sqlitebrowser
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 71680 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or desktop-
     file-validate if there is such a file.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: sqlitebrowser-3.4.0-1.fc22.x86_64.rpm
          sqlitebrowser-3.4.0-1.fc22.src.rpm
sqlitebrowser.x86_64: W: no-manual-page-for-binary sqlitebrowser
2 packages and 0 specfiles checked; 0 errors, 1 warnings.


Requires
--------
sqlitebrowser (rpmlib, GLIBC filtered):
    /bin/sh
    hicolor-icon-theme
    libQtCore.so.4()(64bit)
    libQtGui.so.4()(64bit)
    libQtNetwork.so.4()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libqcustomplot.so.0()(64bit)
    libqhexedit.so.1()(64bit)
    libsqlite3.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)



Provides
--------
sqlitebrowser:
    application()
    application(sqlitebrowser.desktop)
    mimehandler(application/sqlitebrowser)
    mimehandler(application/x-sqlite2)
    mimehandler(application/x-sqlite3)
    mimehandler(application/x-sqlitebrowser)
    sqlitebrowser
    sqlitebrowser(x86-64)



Source checksums
----------------
https://github.com/sqlitebrowser/sqlitebrowser/archive/v3.4.0.tar.gz :
  CHECKSUM(SHA256) this package     : 05958cb1b9b893f45df1199974923a6f57ff33c8c1fdd8d8e74132ab9caf1cba
  CHECKSUM(SHA256) upstream package : 05958cb1b9b893f45df1199974923a6f57ff33c8c1fdd8d8e74132ab9caf1cba

Comment 4 Sandro Mani 2014-12-23 22:03:25 UTC
Thank you!

New Package SCM Request
=======================
Package Name: sqlitebrowser
Short Description: Create, design, and edit SQLite database files
Owners: smani
Branches: f20 f21

Comment 5 Gwyn Ciesla 2014-12-24 11:20:51 UTC
Git done (by process-git-requests).

Comment 6 Christopher Meng 2014-12-24 11:52:54 UTC
Hi,

Is it possible to accept me as a comaintainer? As I don't have too much time now on Fedora due to the approaching end of the term.

Thanks.

Comment 7 Sandro Mani 2014-12-24 12:42:11 UTC
Sure, done.

Comment 8 Fedora Update System 2014-12-24 12:55:24 UTC
sqlitebrowser-3.4.0-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/sqlitebrowser-3.4.0-1.fc21

Comment 9 Fedora Update System 2014-12-24 12:55:59 UTC
sqlitebrowser-3.4.0-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/sqlitebrowser-3.4.0-1.fc20

Comment 10 Fedora Update System 2014-12-25 05:31:11 UTC
sqlitebrowser-3.4.0-1.fc20 has been pushed to the Fedora 20 testing repository.

Comment 11 Fedora Update System 2014-12-28 20:17:39 UTC
sqlitebrowser-3.4.0-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/sqlitebrowser-3.4.0-2.fc21

Comment 12 Fedora Update System 2014-12-28 20:18:35 UTC
sqlitebrowser-3.4.0-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/sqlitebrowser-3.4.0-2.fc20

Comment 13 Fedora Update System 2015-01-06 06:11:43 UTC
sqlitebrowser-3.4.0-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2015-01-06 06:17:46 UTC
sqlitebrowser-3.4.0-2.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.